#!/etc/opt/openit/perl
# This script copies all the rawarchiveregenerator lua files into a directory based on the core server version.

my $version_file = "/var/opt/openit/inst/package/common.info";
my @lines = read_file( $version_file );

my $index = 0;

$index = locate_line( $index, "VERSION", \@lines );

if( @lines[$index] =~ /6\.4\.0\.9/ )
{
	system( "cp -rf files/lua /var/opt/openit/" );
	print( "-- RawArchiveRegenerator lua files copied to /var/opt/openit/etc/" );
}
else
{
	system( "cp -rf files/lua /var/opt/openit/etc/" );
	print( "-- RawArchiveRegenerator lua files copied to /var/opt/openit/debug" );
}



# Subroutines -----------

sub read_file {
	my ( $cfg ) = @_;
	open( IN, "$cfg" ) || die "ERROR: Unable to read cfg '$cfg'!\n";
	my @lines = <IN>;
	close( IN );
	return @lines;
}

sub locate_line {
	# For carets and colons, use the . character to represent them
	# For the 3rd argument, always add a \ as prefix to the array
	my ( $start, $find, $lines_ref ) = (@_);
	my ( $index ) = grep { @$lines_ref[$_] =~ /$find/ } $start ..@$lines_ref;
	return $index;
}
