require "lib/stdlib"

in_dir = ARCHIVE_DIR .. '/LogFileCollector.license.haspevents'
usage_dir = in_dir .. '-usage'
patch_dir = in_dir .. '-patch'

-- GET STATUS FILE
date = table.concat({START_DATE_YEAR, START_DATE_MONTH, START_DATE_DAY}, '-')
perl_util('copy_epochfile', {usage_dir, OUTPUT_DIR, 'license-usage-nethasp-*.', date, '""', 'license-usage-nethasp.temp'})

-- GET PATCH FILES
perl_util('copy', {patch_dir, INPUT_DIR, 'patch-*'})

print("Parsing...")

-- RUN HASP PARSER FOR EVENT DATA
matchobject = MATCHOBJECTS_DIR .. '/matchobjects-event-hasp.oconf'
app.run('logparserhasp', '--srcdir "' .. INPUT_DIR .. '" --srcpattern *.in --srcfilehandling leave --trgdir "' .. OUTPUT_DIR .. '" --module license --datatype event --resolution PT1H --matchobjects "' .. matchobject .. '" --type event --server --collector openit_logfilecollector --period P1D --confdir "' .. MATCHOBJECTS_DIR .. '" --debug ' .. DEBUG)

-- RUN HASP PARSER FOR RECORD DATA
matchobject = MATCHOBJECTS_DIR .. '/matchobjects-record-hasp.oconf'
app.run('logparserhasp', '--srcdir "' .. INPUT_DIR .. '" --srcpattern *.in --srcfilehandling leave --trgdir "' .. OUTPUT_DIR .. '" --module license --datatype record --resolution PT1H --matchobjects "' .. matchobject .. '" --type record --server --collector openit_logfilecollector --period P1D --confdir "' .. MATCHOBJECTS_DIR .. '" --debug ' .. DEBUG)

-- run({'pause'})

-- SAVE USAGE FILES
perl_util('move', {OUTPUT_DIR, usage_dir, '*-usage-*'})

-- DELETE GATHERED PATCH FILES FROM PATCH FOLDERS
perl_util('delete_same', {INPUT_DIR, patch_dir, 'patch-*'})

-- DELETE TMP FILES
perl_util('delete', {OUTPUT_DIR, '*.temp'})

-- DELETE LOG FILES
perl_util('delete', {OUTPUT_DIR, '*.log'})
