# Deletes files in target directory. Files to be deleted are the files
# located in source directory matched by the pattern.
# Arg 1: Source directory
# Arg 2: Target directory
# Arg 3: File pattern (glob)
# 
# Author: Ivan Dustin B. Bilon
######################
use File::Basename;
use File::Glob ':glob';
######################
my $from = shift;
my $to = shift;
my $patt = shift;
######################
my @from_files = bsd_glob "$from/$patt";
foreach my $file (@from_files) {
    my $name = basename($file);
    if ( -e "$to/$name" ) {
        unlink "$to/$name" or warn "Could not delete file $to/$name. $!";
    }
}
