# Check files in the source directory if exists in target directory.
# Returns 0 if exists. Otherwise, 1.
# Arg 1: Source directory
# Arg 2: Target directory
# Arg 3: Pattern (glob)
#
# Author: Ivan Dustin B. Bilon
######################
use File::Basename;
use File::Glob ':glob';
######################
my $from = shift;
my $to = shift;
my $patt = shift;
######################
my @from_files = bsd_glob "$from/$patt";
my $ok = 1;
foreach my $file (@from_files) {
    my $name = basename($file);
    unless ( -e "$to/$name" ) {
        print "$name\n";
        $ok = 0;
    }
}
exit 1 unless ( $ok );
