# Get the last (recent) usage file. Usage file is parser specific file.
# Usage file has an 1900 epoch (in millisecond) in its filename.
# Returns the full filename of the file.
# Arg 1: Directory where usage file exists.
# Arg 2: Prefix of epoch file. i.e. <prefix><epoch>
# Arg 3: Prefix message of the output filename. Intended for parsers. i.e. <message><filename>
# 
# Author: Ivan Dustin B. Bilon
######################
use Time::Local;
use File::Glob ':glob';
######################
my $from = shift;
my $prefix = shift;
my $prefix_msg = shift;
######################
# FIND FILES
my @files = bsd_glob "$from/$prefix*";
if( scalar(@files) == 0 ) {
	exit 0;
}
my @epochs;
foreach my $file (@files) {
	my @a = split(/\./, $file);
    my $e = pop(@a);
    push(@epochs, $e);
    # my $e = substr($file, index($file, $prefix) + length($prefix));
    # push(@epochs, $e);
}
######################
# SORT EPOCHS, DESCENDING
my @sorted = sort {$b <=> $a} @epochs;
######################
my $epoch = @sorted[0];
my ($sec, $min, $hour, $day,$month,$year) = (gmtime($epoch))[0,1,2,3,4,5];
$year = $year + 1900;
$month += 1;
print "$prefix_msg$year-$month-$day\n";
