#!/etc/opt/openit/perl

$daft = "/var/opt/openit/etc/daft.conf";
@lines = read_file( $daft );
$index = 0;

$index = locate_line( $index, "datagroup.generation", \@lines );
$index = locate_line( $index, "licenseevents.String", \@lines );

if( @lines[$index] !~ /LogParserHasp/ )
{
	@lines[$index] =~ s/="/="LogParserHasp.license.record,/g;
}

$index = locate_line( $index, "licenseevents2", \@lines );

if( @lines[$index] !~ /LogParserHasp/ )
{
	@lines[$index] =~ s/="/="LogParserHasp.license.event,/g;
}

$index = 0;

if( grep( /pollcollector/, @lines ) )
{
	$index = locate_line( $index, "pollcollector", \@lines );
	@lines[$index] =~ s/\)="/\)="LogFileCollector.license.haspevents,/g;
}
else
{
	$index = locate_line( $index, "datagroups", \@lines );
	$index = locate_line( $index, "licenseevents2", \@lines );
	@lines[$index] =~ s/\n/\n\t\t\tpollcollector(String)="LogFileCollector.license.haspevents"\{\}\n/;
}

save_file( $daft, 2153, @lines );

print "-- Finished adding LogParserHasp and pollcollector:LogFileCollector entries to daft.conf";



# Subroutines -----------

sub read_file {
	my ( $cfg ) = @_;
	open( IN, "$cfg" ) || die "ERROR: Unable to read cfg '$cfg'!\n";
	my @lines = <IN>;
	close( IN );
	return @lines;
}

sub locate_line {
	# For carets and colons, use the . character to represent them
	# For the 3rd argument, always add a \ as prefix to the array
	my ( $start, $find, $lines_ref ) = (@_);
	my ( $index ) = grep { @$lines_ref[$_] =~ /$find/ } $start ..@$lines_ref;
	return $index;
}

sub save_file {
	my ( $cfg, $patch, @lines ) = @_;
	my $old = "$cfg.pre_$patch";
	my $new = "$cfg.new";
	
	open( OUT, ">$new" ) || die "ERROR: Can't write new cfg '$new'!\n";
	print OUT @lines;
	close( OUT );
	
	if( ! rename( $cfg, $old ) ) {
		die "ERROR: Unable to rename previous config '$cfg' to '$old'!\n";
	}
	
	if( ! rename( $new, $cfg ) ) {
		die "ERROR: Unable to rename new config to '$cfg'!\n";
	}
}
